Bug 1403358 - Add Provider->Type "RHEVM" should change to "RHV"
Summary: Add Provider->Type "RHEVM" should change to "RHV"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.3
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev
Depends On: 1372992
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-09 19:43 UTC by Satoe Imaishi
Modified: 2017-06-28 14:57 UTC (History)
10 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1372992
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
provider_discovery_dialog.png (49.76 KB, image/png)
2017-02-02 09:15 UTC, Ilanit Stein
no flags Details
provider_added_name.png (67.73 KB, image/png)
2017-02-02 09:17 UTC, Ilanit Stein
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-01-09 18:20:48 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/c7d9ef9bd80991a6d11763d0b5116ed19d12d854

commit c7d9ef9bd80991a6d11763d0b5116ed19d12d854
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Dec 7 16:18:49 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 13:18:53 2017 -0500

    Merge pull request #12471 from borod108/bugs/1372992rhev_to_rhv
    
    Changed Red Hat provider description
    (cherry picked from commit c58f60453e0c8bf351a42476d7007c880576afcb)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1403358

 app/helpers/application_helper/discover.rb                  | 2 +-
 app/models/manageiq/providers/redhat/infra_manager.rb       | 2 +-
 spec/controllers/ems_infra_controller_spec.rb               | 2 +-
 spec/models/ext_management_system_spec.rb                   | 2 +-
 spec/models/manageiq/providers/redhat/infra_manager_spec.rb | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

Comment 3 Ilanit Stein 2017-01-31 10:28:49 UTC
Provider type was changed from "RHEVM" to "RHVM".
It should have been changed to "RHV".
Therefore, moving bug back to assigned.

Comment 4 Oved Ourfali 2017-01-31 10:31:57 UTC
(In reply to Ilanit Stein from comment #3)
> Provider type was changed from "RHEVM" to "RHVM".
> It should have been changed to "RHV".
> Therefore, moving bug back to assigned.

Why?
RHVM makes more sense to me.

Comment 5 Ilanit Stein 2017-01-31 11:54:56 UTC
The bug request was to change it to "RHV", but it was changed to "RHVM"

I advised with Moran G. on this, and he answered that is should be "RHV":
"it should be consistent with the other product names in CF"

Comment 6 Oved Ourfali 2017-01-31 14:08:39 UTC
Sure.
Targeting to 5.7.2.

Comment 7 Boriso 2017-02-01 08:44:57 UTC
So just to make sure - instead of "Red Hat Virtualization Manager" it should just say "Red Hat Virtualization"?

Comment 8 Ilanit Stein 2017-02-01 09:01:01 UTC
exactly.

Comment 10 Ilanit Stein 2017-02-02 09:15:55 UTC
Created attachment 1247039 [details]
provider_discovery_dialog.png

Comment 11 Ilanit Stein 2017-02-02 09:17:34 UTC
Created attachment 1247040 [details]
provider_added_name.png

Comment 12 Ilanit Stein 2017-02-02 09:20:00 UTC
I noticed that the name "RHEVM" appear on CFME in more places, that need to be updated as well.
for example, Provider discovery menu (see attached "provider_discovery_dialog.png  ")
or after discover is done, the RHV provider is added with a default name, that contain RHEVM (see attached "provider_added_name.png").

There might be some more places, where the "RHEVM" string is used, and it is worth looking for those on CFME code.
 
Do we want to address renaming of all occurrences within this bug, or should I open a separate bug please?

Comment 14 CFME Bot 2017-04-17 20:10:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/cc6435ce130d29908cac69c694e563e3158bb069

commit cc6435ce130d29908cac69c694e563e3158bb069
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Mon Apr 10 14:56:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 16:09:03 2017 -0400

    Merge pull request #14703 from borod108/bug/rhvm_to_rhv
    
    Change RHVM to RHV
    (cherry picked from commit 7fe01a5e75c989318abcc4375cf87c8d8bc52182)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1403358

 spec/models/ext_management_system_spec.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 15 CFME Bot 2017-04-17 20:15:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/54e2a77efa08577d430817627a2030045680a432

commit 54e2a77efa08577d430817627a2030045680a432
Author:     Marcel Hild <hild@b4mad.net>
AuthorDate: Mon Apr 10 19:27:03 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 16:10:55 2017 -0400

    Merge pull request #6 from borod108/bug/rhvm_to_rhv
    
    Change RHVM to RHV
    (cherry picked from commit 1f0a82d599bc1405e53c4ba01a6d3b6a62b2d8bc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1403358

 app/models/manageiq/providers/redhat/infra_manager.rb       | 2 +-
 spec/models/manageiq/providers/redhat/infra_manager_spec.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 16 CFME Bot 2017-04-17 20:16:05 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/aca3a3a39808bd6e420e0486a87416e0f2d84546

commit aca3a3a39808bd6e420e0486a87416e0f2d84546
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Apr 10 09:09:17 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 17 16:13:10 2017 -0400

    Merge pull request #973 from borod108/bug/rhvm_to_rhv
    
    Change RHVM to RHV
    (cherry picked from commit 8c4b20e96df202a83cafd0b87e8a75af14e924a4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1403358

 app/helpers/application_helper/discover.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 17 Ilanit Stein 2017-06-11 08:46:19 UTC
Verified on CFME-5.7.3.1

Comment 19 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.